#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kblocks
Summary: Single player falling blocks puzzle game
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
Group: Games/Arcade
URL: http://www.kde.org/applications/games/kblocks/
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: kblocks-handbook

%description 
KBlocks is the classic falling blocks game.

The idea is to stack the falling blocks to create horizontal lines without any
gaps. When a line is completed it is removed, and more space is available in the
play area. When there is not enough space for blocks to fall, the game is over.

%files
%_kde_bindir/kblocks
%_kde_applicationsdir/kblocks.desktop
%_kde_appsdir/kblocks
%_kde_datadir/config.kcfg/kblocks.kcfg
%_kde_datadir/config/kblocks.knsrc
%_kde_iconsdir/hicolor/*/apps/kblocks.*

#------------------------------------------------------------------------------

%package -n kblocks-handbook
Summary: kblocks handbook
Conflicts: kblocks < 1:4.7.1-2
Requires:  kblocks >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kblocks-handbook
This package provides the kblocks handbook.

%files -n kblocks-handbook
%_kde_docdir/HTML/en/kblocks

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407232
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401851
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394403
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339484
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334564
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326766
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319297
- imported package kblocks

